Open CASCADE Technology: GeomFill_PolynomialConvertor Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_PolynomialConvertor Class Reference

To convert circular section in polynome. More...

`#include <GeomFill_PolynomialConvertor.hxx>`

## Public Member Functions
| GeomFill_PolynomialConvertor ()
Standard_Boolean | Initialized () const
| say if <me> is Initialized More...
void | Init ()
void | Section (const gp_Pnt &FirstPnt, const gp_Pnt &Center, const gp_Vec &Dir, const Standard_Real Angle, TColgp_Array1OfPnt &Poles) const
void | Section (const gp_Pnt &FirstPnt, const gp_Vec &DFirstPnt, const gp_Pnt &Center, const gp_Vec &DCenter, const gp_Vec &Dir, const gp_Vec &DDir, const Standard_Real Angle, const Standard_Real DAngle, TColgp_Array1OfPnt &Poles, TColgp_Array1OfVec &DPoles) const
void | Section (const gp_Pnt &FirstPnt, const gp_Vec &DFirstPnt, const gp_Vec &D2FirstPnt, const gp_Pnt &Center, const gp_Vec &DCenter, const gp_Vec &D2Center, const gp_Vec &Dir, const gp_Vec &DDir, const gp_Vec &D2Dir, const Standard_Real Angle, const Standard_Real DAngle, const Standard_Real D2Angle, TColgp_Array1OfPnt &Poles, TColgp_Array1OfVec &DPoles, TColgp_Array1OfVec &D2Poles) const

## Detailed Description

To convert circular section in polynome.

## Constructor & Destructor Documentation

GeomFill_PolynomialConvertor::GeomFill_PolynomialConvertor | ( |  | ) |

## Member Function Documentation

void GeomFill_PolynomialConvertor::Init | ( |  | ) |

Standard_Boolean GeomFill_PolynomialConvertor::Initialized | ( |  | ) | const

say if <me> is Initialized

void GeomFill_PolynomialConvertor::Section | ( | const gp_Pnt & | FirstPnt,
|  | const gp_Pnt & | Center,
|  | const gp_Vec & | Dir,
|  | const Standard_Real | Angle,
|  | TColgp_Array1OfPnt & | Poles
| ) |  | const

void GeomFill_PolynomialConvertor::Section | ( | const gp_Pnt & | FirstPnt,
|  | const gp_Vec & | DFirstPnt,
|  | const gp_Pnt & | Center,
|  | const gp_Vec & | DCenter,
|  | const gp_Vec & | Dir,
|  | const gp_Vec & | DDir,
|  | const Standard_Real | Angle,
|  | const Standard_Real | DAngle,
|  | TColgp_Array1OfPnt & | Poles,
|  | TColgp_Array1OfVec & | DPoles
| ) |  | const

void GeomFill_PolynomialConvertor::Section | ( | const gp_Pnt & | FirstPnt,
|  | const gp_Vec & | DFirstPnt,
|  | const gp_Vec & | D2FirstPnt,
|  | const gp_Pnt & | Center,
|  | const gp_Vec & | DCenter,
|  | const gp_Vec & | D2Center,
|  | const gp_Vec & | Dir,
|  | const gp_Vec & | DDir,
|  | const gp_Vec & | D2Dir,
|  | const Standard_Real | Angle,
|  | const Standard_Real | DAngle,
|  | const Standard_Real | D2Angle,
|  | TColgp_Array1OfPnt & | Poles,
|  | TColgp_Array1OfVec & | DPoles,
|  | TColgp_Array1OfVec & | D2Poles
| ) |  | const

The documentation for this class was generated from the following file:

- GeomFill_PolynomialConvertor.hxx